/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "MoteurGraphique.hpp"

MoteurGraphique::MoteurGraphique(sf::RenderWindow *pFenetreRendu) : fenetreRendu(pFenetreRendu)
{
	
}

void MoteurGraphique::ajouteObjet(sf::Drawable *pObjet)
{
	listeAffichage.push_back(pObjet);
}

void MoteurGraphique::supprimeObjet(sf::Drawable *pObjet)
{
	std::vector<sf::Drawable*>::iterator it;
	it = std::find(listeAffichage.begin(), listeAffichage.end(), pObjet);
	
	if (it != listeAffichage.end())
		listeAffichage.erase(it);
}

void MoteurGraphique::afficheRendu()
{
	for (int i=0; i < listeAffichage.size(); i++)
	{
		fenetreRendu->Draw(*listeAffichage[i]);
	}
}
